# Generated by Django 3.0 on 2021-12-25 09:19

import uuid

import django.db.models.deletion
from django.db import migrations

import common.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('delivery_item', '0001_initial'),
        ('delivery_slot', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Delivery',
            fields=[
                ('id', common.models.UUIDField(db_index=True, default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('created_at', common.models.DateTimeField(auto_now_add=True)),
                ('updated_at', common.models.DateTimeField(auto_now=True)),
                ('deleted_at', common.models.DateTimeField(blank=True, null=True)),
                ('items', common.models.ManyToManyField(related_name='deliveries', to='delivery_item.DeliveryItem')),
                ('slot', common.models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='deliveries', to='delivery_slot.DeliverySlot')),
            ],
            options={
                'verbose_name_plural': 'Deliveries',
            },
        ),
    ]
